LibreOffice: thePopupMenuControllerFactory Singleton Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
List of all members
thePopupMenuControllerFactory Singleton Reference

specifies a factory that creates instances of registered popup menu controller. More...

Inheritance diagram for thePopupMenuControllerFactory:

## Additional Inherited Members
Exported Interfaces inherited from XUIControllerFactory
interface | com::sun::star::lang::XMultiComponentFactory
| this interface provides functions to create new instances of a registered UI controller. More...
interface | XUIControllerRegistration
| provides functions to query for, register and deregister a popup menu controller. More...
Public Member Functions inherited from XMultiComponentFactory
com::sun::star::uno::XInterface | createInstanceWithContext ([in] string aServiceSpecifier, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory. More...
com::sun::star::uno::XInterface | createInstanceWithArgumentsAndContext ([in] string ServiceSpecifier, [in] sequence< any > Arguments, [in] com::sun::star::uno::XComponentContext Context) raises (com::sun::star::uno::Exception)
| Creates an instance of a component which supports the services specified by the factory, and initializes the new instance with the given arguments and context. More...
sequence< string > | getAvailableServiceNames ()
| Gets the names of all supported services. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XUIControllerRegistration
boolean | hasController ([in] string aCommandURL, [in] string aModelName)
| function to check if an user interface controller is registered for a command URL and optional module. More...
void | registerController ([in] string aCommandURL, [in] string aModelName, [in] string aControllerImplementationName)
| function to create an association between a user interface controller implementation and a command URL and optional module. More...
void | deregisterController ([in] string aCommandURL, [in] string aModelName)
| function to remove a previously defined association between a user interface controller implementation and a command URL and optional module. More...

## Detailed Description

specifies a factory that creates instances of registered popup menu controller.

A pop-up menu controller can be registered for a command URL and a model service name. A menu bar or context menu will automatically create a pop-up menu controller if it contains a registered command URL.

Prior to LibreOffice 4.3, this singleton was only available as a (single-instance) PopupMenuControllerFactory service.

Since
  LibreOffice 4.3

The documentation for this singleton was generated from the following file:

- com/sun/star/frame/thePopupMenuControllerFactory.idl